Skip to main content
Line items are individual rows on parent documents (invoices, bills, purchase orders, etc.). Query them directly with parent_id and parent_type filters.

Attributes

Line Item Attributes

PropertyTypeDescription
rootfi_idinteger
rootfi_created_atstring
rootfi_updated_atstring
rootfi_integration_typeenum
platform_idstring
parent_idstring
parent_typeenum
item_idstring
namestring
descriptionstring
quantitydouble
unit_amountdouble
tax_amountdouble
discount_amountdouble
sub_totaldouble
total_amountdouble
tax_idstring
account_idstring
variant_idstring
tracking_category_idsarray
created_atstring
updated_atstring

Expandable Attributes

Use the expand query parameter to include related objects:
  • expand=item — includes the related Item object(s).
  • expand=tax — includes the related Tax object(s).
  • expand=account — includes the related Account object(s).
  • expand=variant — includes the related Variant object(s).